Subject: Re: bug#10440: Can't locate TAP/Parser.pm

From: Peter Rosin <[email-masked]>
Date: Fri, 06 Jan 2012 16:50:19 +0100

Stefano Lattarini skrev 2012-01-06 13:34:
> On 01/05/2012 10:54 PM, Peter Rosin wrote:
>> Hi!
>>
> Hi Peter, and thanks for your relentless testing on MinGW/MSYS.
> 
>> I tried make check on MSYS with the current master, and among other
>> things, this problem stands out as it FAILs so many test cases.
>>
>> I'm using tap-bailout-w.test as an example, no use reporting the
>> same problem 80+ times, right :-)

*SNIP*

> Could you verify that the attached patch solves the issue?  I've tested
> it by putting a broken TAP::Parser early in @INC, so it should work; but
> as you know there is no substitute to testing with the "real thing".

Yes, this works, loads of SKIPs instead of FAILs, as expected (but
I haven't checked all tests in detail since there's still too much
noise). Please push anyway as it's a huge improvement even if there
is some minor perl-tap thing left behind, and thanks for the quick
fix!

Cheers,
Peter